<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>BagOfWordsVectorizer (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BagOfWordsVectorizer (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.featureconstruction.vectorization</a></div>
<h2 title="Class BagOfWordsVectorizer" class="title">Class BagOfWordsVectorizer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.featureconstruction.vectorization.BagOfWordsVectorizer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">BagOfWordsVectorizer</span>
extends java.lang.Object</pre>
<div class="block">Provides methods for text-vectorization based on variations of Bag of Words-Approaches.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">BagOfWordsVectorizer</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertToLabeledSvmLightVectorString(int,java.lang.String%5B%5D,int,boolean,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">convertToLabeledSvmLightVectorString</a></span>&#8203;(int&nbsp;target,
                                    java.lang.String[]&nbsp;tokens,
                                    int&nbsp;windowSize,
                                    boolean&nbsp;doCount,
                                    <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</code></th>
<td class="colLast">
<div class="block">Converts a given target and text to a String conforming to the SvmLight-format with regards to
 a given vocabulary using a bag of words approach.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertToLabeledSvmLightVectorString(int,java.lang.String%5B%5D,int,java.util.Map,boolean,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">convertToLabeledSvmLightVectorString</a></span>&#8203;(int&nbsp;target,
                                    java.lang.String[]&nbsp;tokens,
                                    int&nbsp;windowSize,
                                    java.util.Map&lt;java.lang.String,&#8203;java.lang.Double&gt;&nbsp;weights,
                                    boolean&nbsp;doCount,
                                    <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</code></th>
<td class="colLast">
<div class="block">Converts a given target and text to a String conforming to the SvmLight-format with regards to
 a given vocabulary.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertToVector(java.lang.String%5B%5D,int,boolean,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">convertToVector</a></span>&#8203;(java.lang.String[]&nbsp;tokens,
               int&nbsp;windowSize,
               boolean&nbsp;doCount,
               <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</code></th>
<td class="colLast">
<div class="block">This method is mainly intended to convert a new text for prediction.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertToVector(java.util.List,int,boolean,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">convertToVector</a></span>&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokenList,
               int&nbsp;windowSize,
               boolean&nbsp;doCount,
               <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</code></th>
<td class="colLast">
<div class="block">This method is mainly intended to convert a new text for prediction.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BagOfWordsVectorizer</h4>
<pre>public&nbsp;BagOfWordsVectorizer()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="convertToVector(java.lang.String[],int,boolean,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertToVector</h4>
<pre class="methodSignature">public static&nbsp;double[]&nbsp;convertToVector&#8203;(java.lang.String[]&nbsp;tokens,
                                       int&nbsp;windowSize,
                                       boolean&nbsp;doCount,
                                       <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</pre>
<div class="block">This method is mainly intended to convert a new text for prediction.
 Converts a given array of tokens into a BoW-Vector according to a given vocabulary; this
 method needs the n-gram-window-size as input that was used to create the vocabulary; it should be 1
 if only unigrams were considered.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tokens</code> - the tokens to be processed</dd>
<dd><code>windowSize</code> - the window-size that was used during vocabulary-creation</dd>
<dd><code>doCount</code> - if true, the vector will contain counts of word occurrences instead of just a binary encoding if a word was existent in the input-token-array</dd>
<dd><code>vocabulary</code> - the vocabulary that should be used for conversion</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a numeric feature-vector for the given input</dd>
</dl>
</li>
</ul>
<a id="convertToVector(java.util.List,int,boolean,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertToVector</h4>
<pre class="methodSignature">public static&nbsp;double[]&nbsp;convertToVector&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;tokenList,
                                       int&nbsp;windowSize,
                                       boolean&nbsp;doCount,
                                       <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</pre>
<div class="block">This method is mainly intended to convert a new text for prediction.
 Converts a given array of tokens into a BoW-Vector according to a given vocabulary; this
 method needs the n-gram-window-size as input that was used to create the vocabulary; it should be 1
 if only unigrams were considered.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tokenList</code> - the tokens to be processed</dd>
<dd><code>windowSize</code> - the window-size that was used during vocabulary-creation</dd>
<dd><code>doCount</code> - if true, the vector will contain counts of word occurrences instead of just a binary encoding if a word was existent in the input-token-array</dd>
<dd><code>vocabulary</code> - the vocabulary that should be used for conversion</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a numeric feature-vector for the given input</dd>
</dl>
</li>
</ul>
<a id="convertToLabeledSvmLightVectorString(int,java.lang.String[],int,boolean,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertToLabeledSvmLightVectorString</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;convertToLabeledSvmLightVectorString&#8203;(int&nbsp;target,
                                                                    java.lang.String[]&nbsp;tokens,
                                                                    int&nbsp;windowSize,
                                                                    boolean&nbsp;doCount,
                                                                    <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</pre>
<div class="block">Converts a given target and text to a String conforming to the SvmLight-format with regards to
 a given vocabulary using a bag of words approach. It can be specified if the existence of a word should just be
 marked with a 1 or if the number of occurrences should be counted as well.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>target</code> - the target value as required by the SvmLight-format</dd>
<dd><code>tokens</code> - the tokens to be converted</dd>
<dd><code>windowSize</code> - enables using n-grams with windowSize = n</dd>
<dd><code>doCount</code> - true if the number of occurrences should be saved to the resulting vector, false if 1 shall just encode "exists in the given text".</dd>
<dd><code>vocabulary</code> - the vocabulary in question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a String conforming to the SvmLight-format</dd>
</dl>
</li>
</ul>
<a id="convertToLabeledSvmLightVectorString(int,java.lang.String[],int,java.util.Map,boolean,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>convertToLabeledSvmLightVectorString</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;convertToLabeledSvmLightVectorString&#8203;(int&nbsp;target,
                                                                    java.lang.String[]&nbsp;tokens,
                                                                    int&nbsp;windowSize,
                                                                    java.util.Map&lt;java.lang.String,&#8203;java.lang.Double&gt;&nbsp;weights,
                                                                    boolean&nbsp;doCount,
                                                                    <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</pre>
<div class="block">Converts a given target and text to a String conforming to the SvmLight-format with regards to
 a given vocabulary. This version of the method accepts an additional map with term weightings that are applied to the final vector. It can be specified if the existence of a word should just be
 marked with a 1 or if the number of occurrences should be counted as well.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>target</code> - the target value as required by the SvmLight-format</dd>
<dd><code>tokens</code> - the tokens to be converted</dd>
<dd><code>windowSize</code> - enables using n-grams with windowSize = n</dd>
<dd><code>doCount</code> - true if the number of occurrences should be saved to the final String, false if 1 shall just encode "exists in the given text".</dd>
<dd><code>weights</code> - the weightings for terms in form of a Map "Term":"Weight"</dd>
<dd><code>vocabulary</code> - the vocabulary in question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a String conforming to the SvmLight-format</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
